Subject: [bug#39053] [PATCH] Add pulseaudio configuration and fix volume bugs

From: Marius Bakke <[email-masked]>
Date: Sun, 12 Jan 2020 00:49:00 +0100

Leo Prikler <[email-masked]> writes:

> Am Samstag, den 11.01.2020, 18:23 +0100 schrieb Marius Bakke:
>> Leo Prikler <[email-masked]> writes:
>> 
>> > This series of patches adds a configuration type for pulseaudio and
>> > also fixes
>> > a bug, where various applications would inadvertently max out the
>> > system volume
>> > (see e.g. #38172).
>> 
>> Thanks!  I've pushed the patches with mentioned tweaks in
>> 2c7511fb6..71e33e32f.
> Thanks!  Also, I'm sorry about accidentally opening like 10 bugs due to
> my misconfiguration there.  I only noticed after the fact, that merely
> CC'ing the original bug does nothing, when the mail is still sent to
> guix-patches as well.  I've learned my lesson and will be more careful
> in the future.

Right, no worries!

> I do still have some open questions, though.
>> > +In addition to the above, @code{default-script-file} will be set to
>> > the
>> > +value of @code{script-file}.  By default, @var{flat-volumes} is
>> > set
>> > to
>> > +``no'', so as to avoid bugs related to this feature.
>> > 
>> The first sentence of this paragraph is obsolete, no?  The second is
>> rather vague, so I opted to remove the whole thing.  Let me know if
>> you
>> think something should be added!
> I'm not quite sure about the first sentence.  While everyone can read
> the code and the output files produced from it, I think we should
> document, that we actually always insert this line into
> @file{daemon.conf}.
> For instance, if you don't supply your own @file{default.pa}, the first
> line of @file{daemon.conf} will be
> --8<---------------cut here---------------start------------->8---
> default-script-file = /gnu/store/<hash>-pulseaudio-
> <version>/etc/pulse/default.pa
> --8<---------------cut here---------------end--------------->8---
> What are your thoughts on this?

Oh, right.  I suppose that can be surprising.  Would you like to
resubmit a documentation update?

I wonder if we could use the flunking new 'this-record', and refer to
the SCRIPT-FILE directly in the default parameter list.  But that's
probably overkill for this instance.  :-)

>> I added a (default: ...) on these two and removed the related
>> sentences.
> I was hesitant to do that due to the line limits.  Do those not count
> for documentation or are such exceptions allowed?

Not sure what/if there are line length limits on guix.texi, but 95
characters should be okay for one-off instances like these.  I suppose
we could escape a line break if it breaks someones workflow.

> Thanks again for your help and also thanks for your feedback.

Thanks!